Extensiones de Joomla

Texto

Legacy Mode en Joomla 1.5

Cuando apareció la versión 1.5 de Joomla se realizaron importantes cambios en el core de la aplicación que afectaban a prácticamente la totalidad de las extensiones y plantillas existentes para las versiones 1.0.

Para facilitar la transición de una versión a la otra se introdujo en las versiones 1.5 de Joomla el plugin Legacy Mode, ya que en aquel momento las extensiones y plantillas para la versión 1.5 eran escasas.

Este plugin permite poder utilizar extensiones y plantillas que han sido diseñados para las versiones 1.0, aunque no esta garantizada a la perfección la compatibilidad total. Actualmente Joomla se encuentra en la versión 1.5.8, se han realizado las actualizaciones necesarias para hacer compatibles de forma nativa muchas de las extensiones y si no se ha realizado la actualización es bastante probable encontrar una extensión similar que cumpla la funcionalidad. En cuanto a las plantillas lamento decir que muchas de ellas no han sido actualizadas, pero os animo a mirar el código fuente, con un poco de paciencia podréis pasar una plantilla de la versión 1.0 a la versión 1.5

Es altamente recomendable utilizar las últimas versiones de los plugins para así maximizar la compatibilidad con futuras versiones de Joomla, en el evento Joomladay de España Alex Kempkens, miembro del core team de Joomla, advirtió que las proximas versiones no podrán utilizarse las extensiones diseñadas para la versión 1.0.